版本 2.4.8 · 最新
工单常用回复 ticket-quick-replies
管理端的全局常用回复。
点击任一接口,右侧显示对应的调用示例。
工单鉴权: 仅管理员4 个接口
鉴权
请求头带 X-API-Key(在「API 密钥」页开通,密钥只在开通时显示一次);也可用登录得到的 Authorization: Bearer 令牌。
X-API-Key
鉴权失败回 401;无权回 403(code 为 insufficient_scope 等)。
约定
分页参数 page(从 1 起)、page_size;排序 sort=字段 或 -字段。
时间一律 RFC 3339(UTC);金额单位为分。
写操作成功回 200/201/204;重复提交按资源唯一键回 409。
POST
/api/v2/ticket-quick-replies新增常用回复
鉴权: 仅管理员
请求体 application/json
| 字段 | 类型 | 说明 |
|---|---|---|
content必填 | string | 内容,1~1000 字符。 |
sort | integer | 排序,小的在前,缺省 100。 |
title必填 | string | 标题,1~20 字符。 |
PUT
/api/v2/ticket-quick-replies/{id}改常用回复
鉴权: 仅管理员
请求体 application/json
| 字段 | 类型 | 说明 |
|---|---|---|
content必填 | string | 内容,1~1000 字符。 |
sort | integer | 排序,小的在前,缺省 100。 |
title必填 | string | 标题,1~20 字符。 |
工单常用回复对象
| 字段 | 类型 | 说明 |
|---|---|---|
content必填 | string | 内容,1~1000 字符。 |
created_at | string | 创建时间 |
id | integer | 记录 ID |
items | TicketQuickReply[] | 本页条目 |
sort | integer | 排序,小的在前,缺省 100。 |
title必填 | string | 标题,1~20 字符。 |
updated_at | string | 更新时间 |
返回与错误
成功直接回资源 JSON(HTTP 2xx);失败回 application/problem+json(code、detail,校验失败带 errors);列表为 items + total。
成功
{
"id": 1,
"name": "example"
}列表
{
"items": [
{
"id": 1
}
],
"page": 1,
"page_size": 20,
"total": 1
}失败
{
"code": "validation_failed",
"detail": "请求参数不合法",
"errors": [
{
"code": "required",
"field": "/name",
"message": "name 必填"
}
],
"request_id": "0123456789abcdef",
"status": 422,
"title": "Unprocessable Entity",
"type": "about:blank"
}